#include "GamePlayState.h"
#include "PauseState.h"
#include "MainMenuState.h"
#include "../Engine.h"

void GamePlayState::Enter(Engine& engine)
{
}

void GamePlayState::Exit(Engine& engine)
{
}

void GamePlayState::HandleEvents(Engine& engine, SDL_Event& event)
{
    if (event.type == SDL_KEYDOWN)
    {
        if (event.key.keysym.sym == SDLK_ESCAPE)
        {
            engine.stateManager.PushState(std::make_unique<PauseState>(), engine);
        }
    }
}

void GamePlayState::Update(Engine& engine, float dt)
{
}

void GamePlayState::Render(Engine& engine)
{
}

void GamePlayState::RenderImGui(Engine& engine)
{
}